Subject: Re: c++ vs g++ [Re: Gcc compiler b18 newbie probs]
From: [email-masked] (Earnie Boyd)

11 Dec 1997 04:55:26 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]

Thanks Mumit,

I didn't realize that the c++ option was available.  I believe however 
that the c++.exe and g++.exe supplied from cygnus are the same file with 
different names.  I base this on exec "cmp -c /bin/g++.exe /bin/c++.exe" 
not returning anything.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>To: [email-masked]
>Subject: c++ vs g++ [Re: Gcc compiler b18 newbie probs]
>Date: Wed, 10 Dec 1997 20:19:15 -0600
>From: Mumit Khan <[email-masked]>
>
>"Earnie Boyd" <[email-masked]> writes:
>> 
>> >  - use the right compiler driver to compile/link programs. For C 
>> programs,
>> >    use gcc, for C++ use c++ and for F77 use g77.
>> 
>>                           ^^^ shouldn't this be g++
>> 
>
>Historically these two had a subtle difference: g++ implicitly linked
>with libg++ while c++ did not. With egcs-1.00, they're equivalent; even
>before the advent of egcs, I never considereed libg++ as a standard
>package, and preferred not to use g++ as the C++ driver. I guess I
>simply don't like unneeded libraried implicitly linked in that standard
>conforming code(*) does not need.
>
>I haven't checked the last FSF gcc-2.8.0 snapshot to check if the 
>distinction is still there or not.
>
>Mumit
>
>* Now we can finally (almost) use the term "standard conforming" when 
>talking about C++. What a relief.
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".